<!DOCTYPE html>
<html lang="en">
    <head>
        <!--<meta http-equiv="refresh" content="1">-->
        <meta charset="UTF-8">
        <title>{{ user.title }}</title>
        <link href="static/css/main.css" rel="stylesheet">
        <link href="static/css/signIn.css" rel="stylesheet">
        <script type="text/javascript" src="static/js/chart.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/1.0.2/Chart.min.js"></script>
    </head>
    <body class="Main-Body Body">
        <header class="Main-Header Border">
            <div>
                <div class="Main-Title">
                    <strong>Automatic Guided Vehicle</strong>
                    <span class="Main-Log">
                    <em>Hi <b>{{ user.nickname }},</b></em>
                    <a class="NoDecoration" href="/"><em>log out? </em></a>
                </span>
                </div>
            </div>
        </header>
        <div class="Main-Container">
            <div class="Chart Border">
                <p style="text-align:center; fon"><u>OBSTUCLES IN DISTANCE</u></p>
                <canvas id="chart" width="1000" height="300"></canvas>
                <script>
                    var dataToDisplay = {{ post }}
                    var ctx = document.getElementById("chart").getContext("2d");
                    var data = {
                        labels: dataToDisplay[0],
                        datasets: [{
                            fillColor: "rgba(240,150,150,0.2)",
                            strokeColor: "rgba(240,150,150,1)",
                            pointColor: "rgba(240,150,150,1)",
                            pointStrokeColor: "#fff",
                            pointHighlightFill: "#fff",
                            pointHighlightStroke: "rgba(240,150,150,1)",
                            data: dataToDisplay[1]
                        }]
                    };
                    var MyNewChart = new Chart(ctx).Line(data);
                </script>
            </div>
        </div>
    </body>
</html>